TEMPLATE        = app
TARGET          = dustrac-game
QMAKE_CXXFLAGS += -std=c++0x
DEFINES        += VERSION=\\\"1.4.0\\\"
DEFINES        += DATA_PATH=\\\"./data\\\"
DEFINES        += GLEW_NO_GLU
QT             += opengl xml

INCLUDEPATH += . \
src/game/MiniCore/Core \
src/game/MiniCore/Physics \
src/game \
src/game/MiniCore/Graphics \
src/game/MiniCore/Graphics/glew \
src/game/MiniCore/Graphics/glm/ogl-math/glm \
src/game/MiniCore/Graphics/glm/ogl-math/glm/core \
src/game/MiniCore/Graphics/glm/ogl-math/glm/gtc \
src/common \
src/game/MiniCore/Text \
src/game/MiniCore/Asset \
src/game/MiniCore/Particles \
src/game/MTFH \
src/game/MiniCore/Graphics/glm/ogl-math/glm/gtx \
src/game/MiniCore/Graphics/glm/ogl-math/glm/virtrev

# Input
HEADERS += \
src/common/config.hpp \
src/common/mapbase.hpp \
src/common/objectbase.hpp \
src/common/objects.hpp \
src/common/route.hpp \
src/common/targetnodebase.hpp \
src/common/trackdatabase.hpp \
src/common/tracktilebase.hpp \
src/game/ai.hpp \
src/game/car.hpp \
src/game/carparticleeffectmanager.hpp \
src/game/carstatusview.hpp \
src/game/checkeredflag.hpp \
src/game/confirmationmenu.hpp \
src/game/credits.hpp \
src/game/eventhandler.hpp \
src/game/fadeanimation.hpp \
src/game/game.hpp \
src/game/graphicsfactory.hpp \
src/game/help.hpp \
src/game/inputhandler.hpp \
src/game/intro.hpp \
src/game/keycodes.hpp \
src/game/keyconfigmenu.hpp \
src/game/layers.hpp \
src/game/mainmenu.hpp \
src/game/map.hpp \
src/game/messageoverlay.hpp \
src/game/MTFH/menu.hpp \
src/game/MTFH/menuitemaction.hpp \
src/game/MTFH/menuitem.hpp \
src/game/MTFH/menuitemview.hpp \
src/game/MTFH/menumanager.hpp \
src/game/offtrackdetector.hpp \
src/game/overlaybase.hpp \
src/game/particlefactory.hpp \
src/game/race.hpp \
src/game/renderable.hpp \
src/game/renderer.hpp \
src/game/resolutionmenu.hpp \
src/game/scene.hpp \
src/game/settings.hpp \
src/game/settingsmenu.hpp \
src/game/shaders.h \
src/game/shaderprogram.hpp \
src/game/slidefrictiongenerator.hpp \
src/game/startlights.hpp \
src/game/startlightsoverlay.hpp \
src/game/statemachine.hpp \
src/game/surfacemenu.hpp \
src/game/textmenuitemview.hpp \
src/game/timing.hpp \
src/game/timingoverlay.hpp \
src/game/trackdata.hpp \
src/game/track.hpp \
src/game/trackloader.hpp \
src/game/trackobjectfactory.hpp \
src/game/trackobject.hpp \
src/game/trackselectionmenu.hpp \
src/game/tracktile.hpp \
src/game/treeview.hpp \
src/game/updateableif.hpp

SOURCES += src/common/config.cpp \
src/common/mapbase.cpp \
src/common/objectbase.cpp \
src/common/objects.cpp \
src/common/route.cpp \
src/common/targetnodebase.cpp \
src/common/trackdatabase.cpp \
src/common/tracktilebase.cpp \
src/game/ai.cpp \
src/game/car.cpp \
src/game/carparticleeffectmanager.cpp \
src/game/carstatusview.cpp \
src/game/checkeredflag.cpp \
src/game/confirmationmenu.cpp \
src/game/credits.cpp \
src/game/eventhandler.cpp \
src/game/fadeanimation.cpp \
src/game/game.cpp \
src/game/graphicsfactory.cpp \
src/game/help.cpp \
src/game/inputhandler.cpp \
src/game/intro.cpp \
src/game/keyconfigmenu.cpp \
src/game/main.cpp \
src/game/mainmenu.cpp \
src/game/map.cpp \
src/game/messageoverlay.cpp \
src/game/offtrackdetector.cpp \
src/game/overlaybase.cpp \
src/game/particlefactory.cpp \
src/game/race.cpp \
src/game/renderer.cpp \
src/game/resolutionmenu.cpp \
src/game/scene.cpp \
src/game/settings.cpp \
src/game/settingsmenu.cpp \
src/game/shaderprogram.cpp \
src/game/slidefrictiongenerator.cpp \
src/game/startlights.cpp \
src/game/startlightsoverlay.cpp \
src/game/statemachine.cpp \
src/game/surfacemenu.cpp \
src/game/textmenuitemview.cpp \
src/game/timing.cpp \
src/game/timingoverlay.cpp \
src/game/track.cpp \
src/game/trackdata.cpp \
src/game/trackloader.cpp \
src/game/trackobject.cpp \
src/game/trackobjectfactory.cpp \
src/game/trackselectionmenu.cpp \
src/game/tracktile.cpp \
src/game/treeview.cpp \
src/game/MTFH/menu.cpp \
src/game/MTFH/menuitem.cpp \
src/game/MTFH/menuitemaction.cpp \
src/game/MTFH/menuitemview.cpp \
src/game/MTFH/menumanager.cpp \
src/game/MiniCore/Asset/mcassetmanager.cc \
src/game/MiniCore/Core/mcevent.cc \
src/game/MiniCore/Core/mcexception.cc \
src/game/MiniCore/Core/mclogger.cc \
src/game/MiniCore/Core/mcobject.cc \
src/game/MiniCore/Core/mcobjectdata.cc \
src/game/MiniCore/Core/mcobjectfactory.cc \
src/game/MiniCore/Core/mcrandom.cc \
src/game/MiniCore/Core/mctimerevent.cc \
src/game/MiniCore/Core/mctrigonom.cc \
src/game/MiniCore/Core/mcvectoranimation.cc \
src/game/MiniCore/Core/mcworld.cc \
src/game/MiniCore/Graphics/mccamera.cc \
src/game/MiniCore/Graphics/mcglambientlight.cc \
src/game/MiniCore/Graphics/mcgldiffuselight.cc \
src/game/MiniCore/Graphics/mcglobjectbase.cc \
src/game/MiniCore/Graphics/mcglpointparticlerenderer.cc \
src/game/MiniCore/Graphics/mcglscene.cc \
src/game/MiniCore/Graphics/mcglshaderprogram.cc \
src/game/MiniCore/Graphics/mcmesh.cc \
src/game/MiniCore/Graphics/mcmeshconfigloader.cc \
src/game/MiniCore/Graphics/mcmeshloader.cc \
src/game/MiniCore/Graphics/mcmeshmanager.cc \
src/game/MiniCore/Graphics/mcmeshobjectdata.cc \
src/game/MiniCore/Graphics/mcmeshview.cc \
src/game/MiniCore/Graphics/mcsurface.cc \
src/game/MiniCore/Graphics/mcsurfaceconfigloader.cc \
src/game/MiniCore/Graphics/mcsurfacemanager.cc \
src/game/MiniCore/Graphics/mcsurfaceobjectdata.cc \
src/game/MiniCore/Graphics/mcsurfaceview.cc \
src/game/MiniCore/Graphics/mcworldrenderer.cc \
src/game/MiniCore/Particles/mcglpointparticle.cc \
src/game/MiniCore/Particles/mcglrectparticle.cc \
src/game/MiniCore/Particles/mcparticle.cc \
src/game/MiniCore/Particles/mcsurfaceparticle.cc \
src/game/MiniCore/Physics/mccircleshape.cc \
src/game/MiniCore/Physics/mccollisiondetector.cc \
src/game/MiniCore/Physics/mccollisionevent.cc \
src/game/MiniCore/Physics/mccontact.cc \
src/game/MiniCore/Physics/mcdragforcegenerator.cc \
src/game/MiniCore/Physics/mcforcegenerator.cc \
src/game/MiniCore/Physics/mcforceregistry.cc \
src/game/MiniCore/Physics/mcfrictiongenerator.cc \
src/game/MiniCore/Physics/mcimpulsegenerator.cc \
src/game/MiniCore/Physics/mcobjecttree.cc \
src/game/MiniCore/Physics/mcoutofboundariesevent.cc \
src/game/MiniCore/Physics/mcrectshape.cc \
src/game/MiniCore/Physics/mcshape.cc \
src/game/MiniCore/Physics/mcspringforcegenerator.cc \
src/game/MiniCore/Physics/mcspringforcegenerator2dfast.cc \
src/game/MiniCore/Text/mctexturefont.cc \
src/game/MiniCore/Text/mctexturefontconfigloader.cc \
src/game/MiniCore/Text/mctexturefontdata.cc \
src/game/MiniCore/Text/mctexturefontmanager.cc \
src/game/MiniCore/Text/mctextureglyph.cc \
src/game/MiniCore/Text/mctexturetext.cc \
src/game/MiniCore/Graphics/glew/glew.c \

RESOURCES += data/icons/icons.qrc

OTHER_FILES += \
android/version.xml \
android/AndroidManifest.xml \
android/res/values-rs/strings.xml \
android/res/values-pt-rBR/strings.xml \
android/res/values-fa/strings.xml \
android/res/values-ms/strings.xml \
android/res/values-es/strings.xml \
android/res/values-de/strings.xml \
android/res/values-zh-rTW/strings.xml \
android/res/values-el/strings.xml \
android/res/values-id/strings.xml \
android/res/values-it/strings.xml \
android/res/values-ro/strings.xml \
android/res/values-nb/strings.xml \
android/res/values-pl/strings.xml \
android/res/values-ru/strings.xml \
android/res/values-zh-rCN/strings.xml \
android/res/values/libs.xml \
android/res/values/strings.xml \
android/res/values-ja/strings.xml \
android/res/layout/splash.xml \
android/res/values-nl/strings.xml \
android/res/values-et/strings.xml \
android/res/values-fr/strings.xml \
android/src/org/kde/necessitas/ministro/IMinistroCallback.aidl \
android/src/org/kde/necessitas/ministro/IMinistro.aidl \
android/src/org/qtproject/qt5/android/bindings/QtActivity.java \
android/src/org/qtproject/qt5/android/bindings/QtApplication.java \
